=== debian/changelog ===
ros-noetic-ros-ign-image (0.111.2-1buster) buster; urgency=high

  * [noetic] 🏁 Dome EOL (#197 <https://github.com/osrf/ros_ign/issues/197>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 08:00:00 -0000

ros-noetic-ros-ign-image (0.111.1-1buster) buster; urgency=high

  * [noetic] Update version docs, add Fortress (#166 <https://github.com/osrf/ros_ign/issues/166>)
  * [noetic] Edifice support (#139 <https://github.com/osrf/ros_ign/issues/139>)
  * Add dome + melodic to CI (#126 <https://github.com/osrf/ros_ign/issues/126>)
  * [noetic] Update releases (#106 <https://github.com/osrf/ros_ign/issues/106>)
  * Contributors: Jose Luis Rivero, Louise Poubel, Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-noetic-ros-ign-image (0.111.0-1buster) buster; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#96 <https://github.com/osrf/ros_ign/issues/96>)
  * Choose collection based on environment variable (#72 <https://github.com/osrf/ros_ign/issues/72>)
    * Choose collection based on the environment variable IGNITION_VERSION
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-noetic-ros-ign-image (0.9.2-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-ros-ign-image (0.9.1-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-ros-ign-image (0.9.0-1buster) buster; urgency=high

  * [Citadel] Citadel support (#48 <https://github.com/ignitionrobotics/ros_ign/issues/48>)
    * Citadel support
    * more citadel deps
    * addressing feedback, fix typos and better find logic
    * fix CI
  * Contributors: chapulina

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-ros-ign-image (0.8.0-1buster) buster; urgency=high

  * Add replaces for each package (#46 <https://github.com/osrf/ros_ign/issues/46>)
  * Make all API and comments ROS-version agnostic
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Rename packages and fix compilation + tests
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Move files ros1 -> ros
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Louise Poubel, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 22 Nov 2019 08:00:00 -0000

ros-noetic-ros-ign-image (0.7.0-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-image (0.6.3-1buster) buster; urgency=high

  * Merge pull request #36 <https://github.com/osrf/ros1_ign_bridge/issues/36> from osrf/restest_depen_image
    Missing rostest dependency in image package
  * Contributors: Jose Luis Rivero

 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-image (0.6.2-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-image (0.6.1-1buster) buster; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-noetic-ros-ign-image (0.6.0-1buster) buster; urgency=high

  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000
